#
# spec file for package lua-lua-mpris
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define flavor lua54
%define mod_name lua-mpris
Version:        0.0+git20191025.2b12542
Release:        4.1
Summary:        MPRIS api for lua
License:        MIT
Group:          Development/Libraries/Other
URL:            https://github.com/antlarr/lua-mpris/
Source:         lua-mpris-%{version}.tar.xz
BuildRequires:  lua-macros
BuildRequires:  %{flavor}-devel
BuildRequires:  %{flavor}-lua-dbus
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(dbus-1)
Requires:       %{flavor}
Requires:       %{flavor}-lua-dbus
%lua_provides
%if "%{flavor}" == ""
Name:           lua-%{mod_name}
ExclusiveArch:  do_not_build
%else
Name:           %{flavor}-%{mod_name}
%endif

%description
MPRIS api for lua

%prep
%setup -q -n lua-mpris-%{version}

%build

%install
mkdir -p %{buildroot}%{lua_noarchdir}/lua-mpris
cp -Ra applet.lua client.lua init.lua %{buildroot}%{lua_noarchdir}/lua-mpris/

%files
%license LICENSE
%{lua_noarchdir}/lua-mpris

%changelog
* Wed Jan 25 2023 Michal Suchanek <msuchanek@suse.de>
- Fix missing dependency on lua-macros (boo#1205612)
* Thu Feb 18 2021 Callum Farmer <gmbr3@opensuse.org>
- Use %%lua_provides macro for default lua versioning
* Mon Jul  6 2020 Matej Cepl <mcepl@suse.com>
- Add lua54 as new build target
* Sat Jan 18 2020 Martin Herkt <9+suse@cirno.systems>
- Do not build mpv-plugin-mpris as it is broken and to be replaced
  with https://github.com/hoyon/mpv-mpris
- Run spec-cleaner
* Fri Oct 25 2019 alarrosa@suse.com
- Update to version 0.0+git20191025.2b12542:
  * Set correct values for SupportedMimeTypes and SupportedUriSchemes properties
  This fixes the plugin to work correctly with KDE Plasma 5.17 .
* Fri Jun 14 2019 alarrosa@suse.com
- Update to version 0.0+git20190614.e4567e2:
  * Fix table/function renaming so they're properly named in all places
  (boo#1136883)
* Fri May 31 2019 alarrosa@suse.com
- Update to version 0.0+git20190531.e505c48:
  * Replace the fix for invalid utf-8 characters with a proper fix
* Thu May 30 2019 alarrosa@suse.com
- Update to version 0.0+git20190530.1281dcd:
  * Fix crash when media file doesn't have utf8 encoded metadata
  (boo#1136883)
- Use %%license
* Mon Apr 30 2018 alarrosa@suse.com
- Since mpv uses lua 5.1, we better build mpv-plugin-mpris only
  for the lua51 flavor instead of building it only for lua53. Otherwise
  the package is useless.
* Thu Apr 26 2018 jberry@suse.com
- Only produce mpv-plugin-mpris during one flavor to avoid duplicate binary.
* Mon Oct 30 2017 jmatejek@suse.com
- do not build for Lua 5.2
* Mon Sep 18 2017 alarrosa@suse.com
- Update to version 0.0+git20170918.28b1c75:
  * Check if the table parameter of table_contains is nil
* Fri Aug 25 2017 tchvatal@suse.com
- Fix build on Tumbleweed as it otherwise still does not find the
  folder
* Wed Aug 23 2017 alarrosa@suse.com
- Add %%defattr to set the right attributes to files and don't try to
  own any mpv directory on Tumbleweed
* Mon Aug 21 2017 alarrosa@suse.com
- Install LICENSE file
* Sun Aug 20 2017 opensuse-packaging@opensuse.org
- Update to version 0.0+git20170820.2126067:
  * Initialize the mpris:artUrl and xesam:url variables for all files
* Fri Aug 18 2017 alarrosa@suse.com
- Initial release
